//-----------------------------------------------------------------------------------
///	\file	FileDialog.h
/// \author	Rob Bateman mailto:robthebloke@hotmail.com
///						http://www.robthebloke.org
/// \brief	This just provides some linux and win32 file dialogs. Under Linux it uses gtk2
///
/// \note	This code is provided 'as is' with no warrenty of any sort what
///			so ever. If you found any of it useful, then a little e-mail
///			and/or a mention in the credits would be nice... ;)
///
///			Thanks to Dave Hunt & James Whitworth for models and random
///			comments....
///
///
//-----------------------------------------------------------------------------------

#ifndef __SIMPLE_GL_FONT__H__
#define __SIMPLE_GL_FONT__H__

#ifdef WIN32
#pragma comment(lib,"LibFont.lib")
#endif

#ifdef __cplusplus
extern "C" {
#endif


	#include <stdlib.h>
	#include <stdarg.h>
	#include <string.h>
	#include <GL/glut.h>

	#define  FONT_9_BY_15        GLUT_BITMAP_9_BY_15
	#define  FONT_8_BY_13        GLUT_BITMAP_8_BY_13
	#define  FONT_TIMES_ROMAN_10 GLUT_BITMAP_TIMES_ROMAN_10
	#define  FONT_TIMES_ROMAN_24 GLUT_BITMAP_TIMES_ROMAN_24
	#define  FONT_HELVETICA_10   GLUT_BITMAP_HELVETICA_10
	#define  FONT_HELVETICA_12   GLUT_BITMAP_HELVETICA_12
	#define  FONT_HELVETICA_18   GLUT_BITMAP_HELVETICA_18


	typedef void* FONT ;

	extern void Fontf(int x,int y,const char * format, ... );
	extern void SetFont(FONT f);
	extern void SetFontColor(float r,float g,float b);

#ifdef __cplusplus
}
#endif

#endif







































